module OW_sumimg

implicit none

contains

subroutine owsum_img(ni,node,GG,image)

integer						:: node , ino,ni
complex						:: image(:,:,:), GG(:,:,:,:)

do ino=1,node
   image(:,:,ni:ni+kxm%n-1)=image(:,:,ni:ni+kxm%n-1)+GG(:,:,:,ino);
end do

end subroutine

end module
